<?php
/*
Plugin Name: Display Google Spreadsheet
Plugin URI: http://tripletsmommy.com/2008/06/wordpress-plugin-google-spreadsheet/
Description: Creates an admin page which displays a google spreadsheet. Allows you to input a google spreadhseet URL. Your google spreadhseet will display within an admin page of your Wordpress website. Great for To-Do lists, to brainstorm blog ideas, etc... For more plugins and widgets visit my <a title="Widget And Plugins" href="http://tripletsmommy.com/category/widgets/">widgets and plugins page</a>.
Author: Kerry W Mann Jr
Author URI: http://tripletsmommy.com
*/

// Hook for adding admin menus
add_action('admin_menu', 'google_page');

// action function for above hook
function google_page() {

    // Add a new top-level menu
    add_menu_page('Google Doc', 'Google Doc', 8, __FILE__, 'mt_toplevel_page');
    add_options_page('Google Doc Settings', 'Google Doc Setting', 8, 'googledocoptions', 'google_options_page')       ;


}

function mt_toplevel_page() {

   $opt_name = 'googledoc_url';
   $opt_val = get_option( $opt_name );
 echo " <div align=\"center\"> To input your google spreadsheet URL change your <a href=\"/wp-admin/options-general.php?page=googledocoptions\">Google spreadsheet settings here.</a> ";
 echo "<h2>Google Spreadsheet</h2><p><br />
<IFRAME width=1200 height=700 frameborder=0 SRC=\" ";
echo $opt_val;
echo "\">Your browser doesn't support this plugin</IFRAME> </div>";
echo "This plugin was created by Kerry Mann. For more plugins and widgets visit my <a title=\"Widget And Plugins\" href=\"http://tripletsmommy.com/category/widgets/\">widgets and plugins page</a>.";

}
     // displays the page content for the Google Options submenu
function google_options_page() {

    // variables for the field and option names
    $opt_name = 'googledoc_url';
    $hidden_field_name = 'mt_submit_hidden';
    $data_field_name = 'googledoc_url';


    // Read in existing option value from database
    $opt_val = get_option( $opt_name );

    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    if( $_POST[ $hidden_field_name ] == 'Y' ) {
        // Read their posted value
        $opt_val = $_POST[ $data_field_name ];

        // Save the posted value in the database
        update_option( $opt_name, $opt_val );

        // Put an options updated message on the screen

?>
<div class="updated"><p><strong><?php _e('Updated.....See your <a href="/wp-admin/admin.php?page=google_doc_wp_plugin.php">Google Spreadsheet Here</a>', 'mt_trans_domain' ); ?></strong></p></div>
<?php

    }

    // Now display the options editing screen

    echo '<div class="wrap">';

    // header

    echo "<h2>" . __( 'Google Spreadsheet Setting', 'mt_trans_domain' ) . "</h2>";
    echo "See your <a href=\"/wp-admin/admin.php?page=google_doc_wp_plugin.php\">Google Spreadsheet Here</a>";

    // options form

    ?>

<form name="form1" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">

<p><?php _e("Google spreadsheet published location :", 'mt_trans_domain' ); ?>
<input type="text" name="<?php echo $data_field_name; ?>" value="<?php echo $opt_val; ?>" size="90">
</p><hr />

<p class="submit">
<input type="submit" name="Submit" value="<?php _e('Update', 'mt_trans_domain' ) ?>" />
</p>
<p>
Your google spreadhseet published location can be find within the "publish" tab of your google spreadsheet. See the image below for the exact location.</p>
<div align="center">
<img class="alignnone size-full wp-image-141" title="googleurl" src="http://tripletsmommy.com/wp-content/uploads/2008/06/googleurl.jpg" alt="" width="275" height="523" />
</div>
</p>

</form>
</div>

<?php

}
?>